octave-symbolic (3.2.1-3) unstable; urgency=medium

  * d/u/metadata: Use the official project slug at GitHub
  * d/p/fix-intersect-unit-test.patch: New patch (Closes: #1084311)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 10 Nov 2024 17:00:00 -0300

octave-symbolic (3.2.1-2) unstable; urgency=medium

  * d/p/vpa-xtest.patch: New patch (Closes: #1073431)
  * d/control: Depend and build-depend on python3-packaging.
    This prevents FTBFS due to a failing unit test in @sym/bernoulli.m
    and is also related to Bug#1073431.

 -- Rafael Laboissière <rafael@debian.org>  Thu, 20 Jun 2024 06:07:11 -0300

octave-symbolic (3.2.1-1) unstable; urgency=medium

  * New upstream version 3.2.1
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Sun, 19 May 2024 15:07:12 -0300

octave-symbolic (3.1.1-3) unstable; urgency=medium

  * d/copyright: Update Source URL
  * d/control: Bump Standards-Version to 4.7.0 (no changes needed)
  * Drop python3-six from Build-Depends list.
    Thanks to Alexandre Detiste <alexandre.detiste@gmail.com>
    (Closes: #1070179)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 03 May 2024 10:39:00 -0300

octave-symbolic (3.1.1-2) unstable; urgency=medium

  * Upload to unstable

  * d/control: Drop obsolete build-dependency on python3-six
  * d/u/metadata: Add Changelog and Documentation URLs

 -- Rafael Laboissière <rafael@debian.org>  Tue, 13 Jun 2023 10:32:51 -0300

octave-symbolic (3.1.1-1) experimental; urgency=medium

  * New upstream version 3.1.1
  * d/copyright: Reflect upstream changes
  * d/control:
    + Bump Standards-Version to 4.6.2 (no changes needed)
    + Update Homepage

 -- Rafael Laboissière <rafael@debian.org>  Fri, 24 Mar 2023 04:12:32 -0300

octave-symbolic (3.0.1-2) unstable; urgency=medium

  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 12:10:38 -0300

octave-symbolic (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Tue, 16 Aug 2022 09:33:36 -0300

octave-symbolic (3.0.0-1) unstable; urgency=medium

  * New upstream version 3.0.0
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Fri, 08 Jul 2022 10:12:11 -0300

octave-symbolic (2.9.1~git.2022.06.09-1) unstable; urgency=medium

  * New upstream version 2.9.1~git.2022.06.09
    The upstream tarball was obtained directly from the upstream Git
    repository at GitHub. This fixes the FTBFS problem when building
    the package against SymPy 1.10 and Octave 7 (Closes: ##980707).
  * d/copyright:
    + Reflect upstream changes
    + Accentuate my family name
  * d/p/sympy-1.6.patch: Drop patch (applied upstream)
  * d/rules: Drop obsolete execute_after_dh_auto_install target
  * d/control:
    + Bump Standards-Version to 4.6.1 (no changes needed)
    + Set upstream metadata fields: Archive.
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call

 -- Rafael Laboissière <rafael@debian.org>  Wed, 08 Jun 2022 22:23:23 -0300

octave-symbolic (2.9.0-3) unstable; urgency=medium

  * d/p/sympy-1.6.patch: Set Forwarded:not-needed
  * d/u/metadata: Update upstream URLs

 -- Rafael Laboissière <rafael@debian.org>  Sun, 02 Aug 2020 09:31:24 -0300

octave-symbolic (2.9.0-2) unstable; urgency=medium

  [ Rafael Laboissière ]
  * d/u/metadata: New file
  * d/control: Bump debhelper compatibility level to 13

  [ Sébastien Villemot ]
  * sympy-1.6.patch: new patch, fixes FTBFS against SymPy 1.6.
    A temporary (build-)dependency on python3-six has been added to make the
    patch work.
    Thanks to Georges Khaznadar (Closes: #963036)
  * d/rules: simplify using debhelper 12.8’s execute_after_* rules

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 19 Jun 2020 23:06:06 +0200

octave-symbolic (2.9.0-1) unstable; urgency=medium

  * New upstream version 2.9.0
  * Dropped patch (applied upstream):
    + d/p/python3.patch
    + d/p/sympy-1.5.patch
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Mon, 09 Mar 2020 03:40:22 -0300

octave-symbolic (2.8.0-2) unstable; urgency=medium

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.5.0 (no changes needed)

  [ Sébastien Villemot ]
  * sympy-1.5.patch: new patch, fixes testsuite against SymPy 1.5
    (Closes: #948458)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 22 Feb 2020 09:51:57 +0100

octave-symbolic (2.8.0-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * d/copyright: Add AppStream file

  [ Sébastien Villemot ]
  * New upstream version 2.8.0
  * d/copyright: reflect upstream changes
  * Remove patches applied upstream
    + linspace-drop-test.patch
    + pochhammer-test-tolerance.patch
  * Bump S-V to 4.4.0
  * Drop version in python3-simpy B-D.
    The minimal requirement is satisfied by all Debian releases.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 08 Jul 2019 17:12:10 +0200

octave-symbolic (2.7.1-2) unstable; urgency=medium

  [ Mike Miller ]
  * Use Python 3 by default
    - d/control: Adjust dependencies to python3-sympy.
    - d/p/python3.patch: New patch to set default Python interpreter.
  * Fix newly failing unit tests
    - d/p/linspace-drop-test.patch: New patch from upstream git.
    - d/p/pochhammer-test-tolerance.patch: New patch from upstream git.
    (Closes: #916961)

  [ Rafael Laboissiere ]
  * d/control:
    + Bump Standards-Version to 4.3.0 (no changes needed)
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:57:58 -0200

octave-symbolic (2.7.1-1) unstable; urgency=medium

  * New upstream version 2.7.1
  * d/copyright: Reflect upstream changes
  * d/control: Bump Standards-Version to 4.2.1 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 09 Oct 2018 04:32:03 -0300

octave-symbolic (2.7.0-1) unstable; urgency=medium

  * New upstream version 2.7.0
  * Bump to S-V 4.2.0

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 02 Aug 2018 12:25:30 +0200

octave-symbolic (2.7.0~git.2018.07.13-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * New upstream version 2.7.0~git.2018.07.13
    This version works with sympy/1.2-1 (closes: #903823).
  * d/control: Add Rules-Requires-Root: no
  * d/control: Bump Standards-Version to 4.1.5

  [ Sébastien Villemot ]
  * Revert "d/rules: Use override_dh_installdeb for post-install actions"

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 15 Jul 2018 17:15:19 -0300

octave-symbolic (2.6.0-4) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/rules: Use override_dh_installdeb for post-install actions
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed)
  * Move definition of DH_OCTAVE_EXCLUDE_TEST into d/checkvars.
    For that, bump the build-dependency on dh-octave to >= 0.5.0.  This
    should fix the autopkgtest failure at the Debian CI infrastructure.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 06 May 2018 14:17:34 -0300

octave-symbolic (2.6.0-3) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:39:38 -0200

octave-symbolic (2.6.0-2) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control: Bump Standards-Version to 4.1.3 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:14:59 -0200

octave-symbolic (2.6.0-1) unstable; urgency=medium

  * New upstream version 2.6.0
  * d/copyright: reflect upstream changes.
  * d/control: bump Standards-Version to 4.0.1.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 09 Aug 2017 15:14:38 +0200

octave-symbolic (2.5.0-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Upload to unstable.
  * d/copyright:
    + Use secure URL for format.
    + Use Source field instead of deprecated Upstream-Source.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * d/control: Use cgit instead of gitweb in Vcs-Browser URL

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 12 Jun 2017 14:56:53 +0200

octave-symbolic (2.5.0-1) experimental; urgency=medium

  * New upstream version 2.5.0
  * d/copyright: Reflect upstream changes
  * d/control: Bump dependency on sympy to >= 1.0

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 07 Feb 2017 19:12:42 -0200

octave-symbolic (2.4.0-2) unstable; urgency=medium

  * d/control: Ensure proper paragraph breaks in Description.
    For this to work, build-depends on octave-pkg-dev >= 1.4.2.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 26 Jun 2016 13:31:45 -0300

octave-symbolic (2.4.0-1) unstable; urgency=medium

  * Imported Upstream version 2.4.0
  * d/copyright: Reflect upstream changes
  * d/control: Insert upstream long description, via octave:Upstream-Description.
    Build-Depends on octave-pkg-dev >= 1.4.1

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 25 Jun 2016 21:32:14 -0300

octave-symbolic (2.3.0-1) unstable; urgency=medium

  * Imported Upstream version 2.3.0
  * d/copyright: Reflect upstream changes
  * d/control:
    + Mark the package as architecture all
    + Use secure URIs in the Vcs-* fields
    + Bump Standards-Version to 3.9.8 (no changes needed)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sat, 14 May 2016 21:09:56 +0200

octave-symbolic (2.2.4-1) unstable; urgency=medium

  * Imported Upstream version 2.2.4

 -- Rafael Laboissiere <rafael@laboissiere.net>  Mon, 21 Dec 2015 22:39:03 +0100

octave-symbolic (2.2.3-1) unstable; urgency=medium

  * Imported Upstream version 2.2.3

 -- Rafael Laboissiere <rafael@laboissiere.net>  Tue, 01 Dec 2015 13:52:57 +0100

octave-symbolic (2.2.2-2) unstable; urgency=medium

  * d/rules: Remove the extraneous Windows batch script

 -- Rafael Laboissiere <rafael@laboissiere.net>  Fri, 23 Oct 2015 22:23:05 +0200

octave-symbolic (2.2.2-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Imported Upstream version 2.2.2
  * d/copyright: reflect upstream changes.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 19 Jul 2015 21:45:26 +0200

octave-symbolic (2.1.0-1) experimental; urgency=low

  * Imported Upstream version 2.1.0
  * d/octave-symbolic.docs: New file (install upstream README.md)
  * Exclude ezplot and ezplot3 from the list of automatic unit testing
    (Closes: #778745)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sun, 22 Mar 2015 08:30:34 -0300

octave-symbolic (2.0.0-1) experimental; urgency=low

  * Imported Upstream version 2.0.0
  * Remove obsolete patches:
    + d/p/avoid-ex-type-in-assert.patch
    + d/p/cell-as-retval-in-findsymbols.patch
    + d/p/fix-symfsolve-test.patch
    + d/p/fix-tests-blocks.patch
    + d/p/proper-cell-array-reversal.patch
    + d/p/store-symbolic-expressions.patch
    + d/p/sumterms-return-cell-vector.patch
  * Build-depend and depend on python-sympy
  * Prevent automatic running of tests in file sympref.m.
    For that to work, Build-Dependency on octave-pkg-dev is set to
    >= 1.2.0.
  * Drop obsolete file d/octave-symbolic.docs

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sun, 15 Feb 2015 20:01:15 -0200

octave-symbolic (1.1.0-3) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Remove Thomas Weber from Uploaders.

  [ Rafael Laboissiere ]
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * d/copyright: Ensure that all files have copyright information
  * Add myself to Uploaders

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sat, 27 Sep 2014 03:52:54 -0300

octave-symbolic (1.1.0-2) unstable; urgency=low

  [ Sébastien Villemot ]
  * Use my @debian.org email address

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields
  * Remove obsolete DM-Upload-Allowed flag

  [ Rafael Laboissiere ]
  * debian/watch: Use the SourceForge redirector
  * Bump to Standards-Version 3.9.4, no changes needed
  * debian/copyright: Use octave-maintainers mailing list as upstream contact
  * Add patches taken from upstream:
    + proper-cell-array-reversal.patch
    + store-symbolic-expressions.patch
    + fix-tests-blocks.patch
    + sumterms-return-cell-vector.patch
    + avoid-ex-type-in-assert.patch

 -- Thomas Weber <tweber@debian.org>  Tue, 02 Jul 2013 23:19:49 +0200

octave-symbolic (1.1.0-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.1.0
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/patches/register_symbols: Drop patch (applied upstream)
  * Bump to debhelper compat level 9
  * Build-depend on octave-pkg-dev >= 1.0.1, to build against Octave 3.6
  * Add Sébastien Villemot to the list of Uploaders
  * Bump to Standards-Version 3.9.3, no changes needed
  * debian/copyright: update to machine-readable format 1.0
  * debian/patches/cell-as-retval-in-findsymbols.patch: Add patch

 -- Thomas Weber <tweber@debian.org>  Fri, 16 Mar 2012 18:05:37 +0100

octave-symbolic (1.0.9-2) unstable; urgency=low

  * debian/control:
    - Remove Rafael Laboissiere from Uploaders (Closes: #571870)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders
  * New patch: register_symbols, ensure that symbols from the package are
    registered. Patch taken from upstream SVN (closes: #607071)

 -- Thomas Weber <tweber@debian.org>  Thu, 06 Jan 2011 22:51:58 +0100

octave-symbolic (1.0.9-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * New upstream release.
  * Use octave-symbolic.docs for installation of documentation, following the
    change in octave-pkg-dev 0.7.1.
  * Dropped patches (applied upstream):
    + symfsolve-tests.diff
    + use-cell-instead-of-list.diff

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 31 Dec 2009 00:40:39 +0100

octave-symbolic (1.0.8-1) unstable; urgency=low

  * New upstream release
  * debian/patches/symfsolve-tests.diff: Add tests to function symfsolve
  * debian/patches/use-cell-instead-of-list.diff: Use cell() instead of the
    deprecated list()
  * debian/control:
    + (Build-Depends): Add quilt
    + (Standards-Version): Bump to 3.8.1 (no changes needed)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package
  * debian/rules: Include patchsys-quilt.mk
  * debian/README.source: Add file explaining the quilt patch system, as
    required by the Policy

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 20:51:56 +0200

octave-symbolic (1.0.7-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable (closes: #516942).

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Mon, 06 Apr 2009 23:30:53 +0200

octave-symbolic (1.0.7-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * debian/rules: Use debian/clean instead of manually cleaning files
  * debian/compat, debian/control: Bump build-dependency on debhelper to
    >= 7.0.0, otherwise debian/clean is moot
  * debian/clean: New file
  * debian/control: Bump Standards-Version to 3.8.0 (no changes needed)

  [ Thomas Weber ]
  * New upstream release
  * Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
    version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 11 Dec 2008 17:59:16 +0000

octave-symbolic (1.0.6-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream version

  [ Thomas Weber ]
  * Add pkg-config to build-dependencies.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 17 May 2008 10:56:39 +0200

octave-symbolic (1.0.5-2) unstable; urgency=low

  * debian/control: bump dependency on octave-pkg-dev to 0.5.6, in order to
    get pkg-config  (closes: #477736).

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Mon, 28 Apr 2008 17:35:09 +0200

octave-symbolic (1.0.5-1) unstable; urgency=low

  * Initial release (closes: #468529)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Sat, 23 Feb 2008 15:03:04 +0100
